Subject: bug#71070: 30.0.50; c++-ts-mode namespace wrong fontification.

From: Yuan Fu <[email-masked]>
Date: Wed, 5 Jun 2024 22:28:30 -0700

> On May 22, 2024, at 6:33 AM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 22/05/2024 15:17, Eli Zaretskii wrote:
>>> Date: Wed, 22 May 2024 02:27:08 +0300
>>> Cc:[email-masked],[email-masked]
>>> From: Dmitry Gutov<[email-masked]>
>>> 
>>>> I understand all that, but still: can you (or someone else) answer my
>>>> question about the accepted practices of IDEs in this matter: do they
>>>> highlight the namespace identifiers differently than other
>>>> identifiers, or do they use the same highlighting?
>>> Does the attached screenshot answer the question? It's from VS Code.
>> Thanks.  Not sure I get it completely.  It seems like namespace names
>> are fontified like class names?  They are not fontified like
>> constants.
> 
> Seems like it (although some themes might use some additional colors to differentiate between these two, the default theme does not).
> 
> Perhaps it is done so that the expression foo::class_name reads naturally (in one color).

Am I missing something? I got the exact opposite conclusion from the screenshot: it seems the effect is that namespaces are colored differently from class names:

Yuan